/* 	Kurs programowania mikrokontrolerow Megawin
		Projekt 06 - obsluga interfejsu UART */

#include "mg32f10x.h"
#include "hardware.h"


int main(void)
{
	char c;
	
	/* inicjalizacja pozostalych peryferiow */
	initPeripherals();
	
	/* konfiguracja UART-a: 9600 bps @ 72 MHz */
	UART_config(72000000, 9600);
	/* wyswietlenie komunikatu powitalnego */
	UART_print("Kurs EP - programowanie MCU Megawin!\n");
	UART_print("UART echo\n");
	UART_print(">>");
	
  while (1)
  {
		/* odbior znaku z terminala */
		c = UART_getchar();
		/* echo z powrotem na terminal */
		UART_print(&c);

	}

}
