#ifndef __HARDWARE_H
#define __HARDWARE_H

#include "hwconfig.h"

typedef enum {
	
	LED_ON = 1,
	LED_OFF = 0
	
} LED_state_t;


void initPeripherals(void);
void LED_onoff(uint8_t led, LED_state_t state);
void delay(uint32_t ms);
void display_select_pos(uint8_t pos);
void display_select_digit(uint8_t dig, uint8_t dp);

void ADC_config(void);
void I2C_config(void);

void UART_config(uint32_t apbclk_hz, uint32_t baudrate_bps);
void UART_print(char *str);
char UART_getchar(void);

void RTC_Config(void);

void NVIC_Config(void);

#endif
