#include "mg32f10x_it.h"


void NMI_Handler(void)
{
}


void HardFault_Handler(void)
{
  /* Go to infinite loop when Hard Fault exception occurs */
  while (1)
  {
  }
}


void MemManage_Handler(void)
{
  /* Go to infinite loop when Memory Manage exception occurs */
  while (1)
  {
  }
}


void BusFault_Handler(void)
{
  /* Go to infinite loop when Bus Fault exception occurs */
  while (1)
  {
  }
}


void UsageFault_Handler(void)
{
  /* Go to infinite loop when Usage Fault exception occurs */
  while (1)
  {
  }
}



void SysTick_Handler(void){
	


}

void SPIM2_IRQHandler(void)
{
	extern uint8_t tx_buf[67];
	extern uint8_t rx_buf[67];
	extern uint8_t tx_index;
	extern uint8_t rx_index;
	extern uint8_t tx_len;
	
  if(SPI_GetITStatus(SPIM2, SPI_IT_RXF) != RESET)
  {
    while(SPI_GetFlagStatus(SPIM2, SPI_FLAG_RFNE) != RESET)
    {
      rx_buf[rx_index] = SPI_ReadData(SPIM2);
      rx_index++;
      if(rx_index >= tx_len) {
        SPI_ITConfig(SPIM2, SPI_IT_RXF, DISABLE);
        break;
      }
    }
  }

	/* jezeli bufor nadawczy jest pusty */
  if(SPI_GetITStatus(SPIM2, SPI_IT_TXE) != RESET)
  {
		/* powtarzanie dopoki bufor sie nie zapelni */
    while(SPI_GetFlagStatus(SPIM2, SPI_FLAG_TFNF) != RESET)
    {
			/* wysylka kolejnego bajtu z bufora */
      SPI_WriteData(SPIM2, tx_buf[tx_index]);
      /* inkrementacja indeksu bufora */
			tx_index++;
			/* konczenie wysylki i dezaktywacja przerwania od TX */
      if(tx_index >= tx_len) {
        tx_index = 0;
				SPI_ITConfig(SPIM2, SPI_IT_TXE, DISABLE);
        break;
      }
    }
  }
}